Summary:	Common classes and functionality used by finance applications for the KDE SC
Summary(pl.UTF-8):	Wspólne klasy i funkcje wykorzystywane przez aplikacje finansowe dla KDE SC
Name:		libalkimia
Version:	8.1.0
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.kde.org/stable/alkimia/%{version}/alkimia-%{version}.tar.xz
# Source0-md5:	8e7a4693995b1e0d3d0f3f19e96cd83c
URL:		https://community.kde.org/Alkimia/libalkimia
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	cmake >= 2.6.4
BuildRequires:	doxygen
BuildRequires:	gmp-c++-devel
BuildRequires:	kf5-extra-cmake-modules
BuildRequires:	kf5-kcompletion-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-kpackage-devel
BuildRequires:	kf5-plasma-framework-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.606
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libalkimia is a library with common classes and functionality used by
finance applications for the KDE SC.

%description -l pl.UTF-8
libalkimia to biblioteka ze wspólnymi klasami i funkcjami
wykorzystywanymi przez aplikacje finansowe dla KDE SC.

%package devel
Summary:	Header files for alkimia library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki alkimia
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel
Requires:	Qt5DBus-devel
Requires:	gmp-c++-devel
Requires:	kf5-extra-cmake-modules
Requires:	libstdc++-devel

%description devel
Header files for alkimia library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki alkimia.

%prep
%setup -q -n alkimia-%{version}

%build
install -d build
cd build
%cmake .. \
	-DQML_INSTALL_DIR=$(qmake-qt5 -query QT_INSTALL_QML)
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang --with-kde --all-name alkimia.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f alkimia.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/onlinequoteseditor5
%attr(755,root,root) %{_libdir}/libalkimia5.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libalkimia5.so.8
%dir %{_libdir}/qt5/qml/org/kde/alkimia
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/alkimia/libqmlalkimia.so
%{_libdir}/qt5/qml/org/kde/alkimia/qmldir
%{_desktopdir}/org.kde.onlinequoteseditor5.desktop
%{_iconsdir}/hicolor/*x*/apps/onlinequoteseditor5.png
%{_iconsdir}/hicolor/scalable/apps/onlinequoteseditor5.svgz
%{_datadir}/knsrcfiles/alkimia-quotes.knsrc
%{_datadir}/knsrcfiles/kmymoney-quotes.knsrc
%{_datadir}/knsrcfiles/skrooge-quotes.knsrc
%{_datadir}/metainfo/org.wincak.foreigncurrencies2.appdata.xml
%{_datadir}/plasma/plasmoids/org.wincak.foreigncurrencies2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libalkimia5.so
%{_includedir}/alkimia
%{_pkgconfigdir}/libalkimia5.pc
%{_libdir}/cmake/LibAlkimia5*
%changelog
* Thu Oct 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libalkimia.git;a=log;h=master

* Thu Oct 28 2021 Jan Rękorajski <baggins@pld-linux.org> 3d71b08
- fix qml install path, rel 3

* Thu Oct 28 2021 Jan Rękorajski <baggins@pld-linux.org> 9e32a9f
- package owned dir, rel 2

* Tue Oct 26 2021 Jan Rękorajski <baggins@pld-linux.org> 05fef32
- rel 1

* Tue Oct 26 2021 Jan Rękorajski <baggins@pld-linux.org> adc78c3
- up to 8.1.0

* Tue Oct 26 2021 Jan Rękorajski <baggins@pld-linux.org> d53a8d7
- up to 7.0.1

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 7e6fcab
- updated to 4.3.2 (probably the last KDE4 version)
- removed obsolete link patch

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 7cb8fab
- pl, completed dependencies

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> e555c76
- release 3 (by relup.sh)

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> 6f0fd2e
- fixed linking test programs
- rel 2

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> 547278d
- BR kdelibs-devel

* Thu Sep 22 2011 lisu <lisu@pld-linux.org> 688e956
- update devel subpackage summary and desc

* Thu Sep 22 2011 lisu <lisu@pld-linux.org> 06bf359
- new spec

